export interface BaseRequest {
    
}

export interface BaseResponse {

}

export interface BaseMessage {

}

/**
* 返回信息
*/
export interface FightBase {
    fightStart:FightStart; //战斗阵容
    win: number; //0失败 1胜利
    log: {
        //战斗日志列表
        //回合ID：单回合内战斗日志
        [huihe: string]: fightLogOne[];
    };
}


/**
 * 战斗初始阵容
 */
export interface FightStart {
    from: string; //战斗类型
    seed: number; //随机种子
    teams: {
        [iid: string]: FightTeam;
    };
}
/**
 * 单个阵容信息
 */
export interface FightTeam {
    fid: string; //业务中身份
    seat: number //位置
    eps: {[id:string]:number}; //属性
}

//单回合内战斗日志
export interface fightLogOne {
    aType: ActionType; //战斗动作类型
    seat:number, //位置
    atker: fightLogOneData; //出手方
    target: fightLogOneData[]; //目标
}
/**
 * 战斗动作类型
 */
export enum ActionType {
    wu = "wu", //默认没有 不处理
    round = "0", //回合开始 玩家出手前
    buff = "1", //buff
    atk = "2", //普通攻击
    wxsk = "3", //技能
    over = "999", //回合结束
}
/**
 * 日志格式
 */
export interface fightLogOneData {
    iid: string; //阵容下标
    hp: number; //剩余血量
    buff: [string, number][]; //上BUFF [ [BuffID,回合数]]
    effect: [string, number][]; //触发效果 [ [属性key,数值]]
}


//查看他人角色基础信息
export interface FUserInfo {
    uuid: string; //角色ID
    sid: string; //所属分区
    name: string; //名字
    head: string; //头像
    wxhead: string; //微信头像
    sex: number; //0女1男
    level: number; //等级
    exp: number; //经验
    power: number; //战力
}


/**
 * code返回类型
 */
export enum Code {
    succ = 0, //成功
    fail = 1, //错误
    over = 2, //返回登录界面
}