
/**
 * 账号登录
 */
export interface ReqPlayerLogin {
    pid:string //分包ID
	openId:string //登陆唯一标识
	lang:string //语言
	plat:string //登陆平台
	device:string //登陆设备
	parms:string[] //其他参数
}

/**
 * 返回账号登录信息
 */
export interface ResPlayerLogin {
	uid: string; //uid
	sid: string; //最后一次登陆区服
	list: { [sid: string]: ResLoginList}; //每个区最多一个角色
	token: string; //账号登陆验证码
	//区服列表
	qufuList:{
		[sid:string]:qufuInfo
	}
	switch:{  //开关配置
		[key: string]: any
	}
    orderList: {  //充值档次配置
		[dc: string]: OrderList 
	}; 
	wsUrl:string //ws地址
}
/**
 * 账号下角色信息
 */
export interface ResLoginList {
	uuid: string; //角色ID
	name: string;
	level: number; //等级
	lastlogin: number; //最后一次登录时间
}
export interface OrderList {
    rmb: number;
    money: number;
    desc: string;
    iid: string;
    daibi: number;
}

/**
 * 区服信息
 */
export interface qufuInfo {
    sid: string; //区服ID
    name: string; //名字
    sName: string; //所属区服大区
    openAt: number; //开服时间
    status: string; //状态 1新服 2拥挤 3爆满 4维护
    heid: string; //合服ID
    suofu: string; //锁服
    skin: string; //皮肤
}

export const conf = {
    connet: "http"
}



