import { ServiceProto } from 'tsrpc-proto';
import { ReqaddBuMa, ResaddBuMa } from './admin/PtladdBuMa';
import { ReqaddCode, ResaddCode } from './admin/PtladdCode';
import { ReqaddMail, ResaddMail } from './admin/PtladdMail';
import { ReqcacheVer, RescacheVer } from './admin/PtlcacheVer';
import { ReqdeleteCode, ResdeleteCode } from './admin/PtldeleteCode';
import { ReqdeleteMail, ResdeleteMail } from './admin/PtldeleteMail';
import { ReqdeleteQuFu, ResdeleteQuFu } from './admin/PtldeleteQuFu';
import { ReqdeleteSetting, ResdeleteSetting } from './admin/PtldeleteSetting';
import { ReqgameError, ResgameError } from './admin/PtlgameError';
import { ReqgetCode, ResgetCode } from './admin/PtlgetCode';
import { ReqgetCodeMa, ResgetCodeMa } from './admin/PtlgetCodeMa';
import { ReqgetMail, ResgetMail } from './admin/PtlgetMail';
import { ReqgetNeed, ResgetNeed } from './admin/PtlgetNeed';
import { ReqgetQuFu, ResgetQuFu } from './admin/PtlgetQuFu';
import { ReqgetSetting, ResgetSetting } from './admin/PtlgetSetting';
import { ReqgetVer, ResgetVer } from './admin/PtlgetVer';
import { ReqhuodongAdd, ReshuodongAdd } from './admin/PtlhuodongAdd';
import { ReqhuodongDelete, ReshuodongDelete } from './admin/PtlhuodongDelete';
import { ReqhuodongEdit, ReshuodongEdit } from './admin/PtlhuodongEdit';
import { ReqhuodongFind, ReshuodongFind } from './admin/PtlhuodongFind';
import { ReqroleData, ResroleData } from './admin/PtlroleData';
import { ReqroleDataEdit, ResroleDataEdit } from './admin/PtlroleDataEdit';
import { ReqsevData, RessevData } from './admin/PtlsevData';
import { ReqsevDataEdit, RessevDataEdit } from './admin/PtlsevDataEdit';
import { RequpdateMail, ResupdateMail } from './admin/PtlupdateMail';
import { RequpdateQuFu, ResupdateQuFu } from './admin/PtlupdateQuFu';
import { RequpdateSetting, ResupdateSetting } from './admin/PtlupdateSetting';
import { Reqxiazai, Resxiazai } from './admin/Ptlxiazai';
import { ReqChatSend, ResChatSend } from './chat/PtlChatSend';
import { MsgChatNew_s } from './chat/server/MsgChatNew_s';
import { MsgItemsRwd } from './common/MsgItemsRwd';
import { MsgMessage } from './common/MsgMessage';
import { ReqEpsInfo, ResEpsInfo } from './eps/PtlEpsInfo';
import { MsgEpsChange_s } from './eps/server/MsgEpsChange_s';
import { ReqFightHc, ResFightHc } from './fight/PtlFightHc';
import { ReqFightTest, ResFightTest } from './fight/PtlFightTest';
import { ReqHcEmit, ResHcEmit } from './hc/PtlHcEmit';
import { ReqHcInfo, ResHcInfo } from './hc/PtlHcInfo';
import { ReqHcMerge, ResHcMerge } from './hc/PtlHcMerge';
import { ReqHcSell, ResHcSell } from './hc/PtlHcSell';
import { MsgHcTili_s } from './hc/server/MsgHcTili_s';
import { ReqItemInfo, ResItemInfo } from './item/PtlItemInfo';
import { MsgItemChange_s } from './item/server/MsgItemChange_s';
import { ReqMailDelAll, ResMailDelAll } from './mail/PtlMailDelAll';
import { ReqMailDelOne, ResMailDelOne } from './mail/PtlMailDelOne';
import { ReqMailInfo, ResMailInfo } from './mail/PtlMailInfo';
import { ReqMailRwdAll, ResMailRwdAll } from './mail/PtlMailRwdAll';
import { ReqMailRwdOne, ResMailRwdOne } from './mail/PtlMailRwdOne';
import { MsgMailNew_s } from './mail/server/MsgMailNew_s';
import { ReqPlatLogin, ResPlatLogin } from './plat/PtlPlatLogin';
import { ReqPlayerLogin, ResPlayerLogin } from './player/PtlPlayerLogin';
import { ReqTaskInfo, ResTaskInfo } from './task/PtlTaskInfo';
import { ReqTaskRwd, ResTaskRwd } from './task/PtlTaskRwd';
import { MsgTaskCons_s } from './task/server/MsgTaskCons_s';
import { ReqUserLogin, ResUserLogin } from './user/PtlUserLogin';
import { ReqUserNotices, ResUserNotices } from './user/PtlUserNotices';
import { ReqUserSetName, ResUserSetName } from './user/PtlUserSetName';
import { ReqUserUseCode, ResUserUseCode } from './user/PtlUserUseCode';
import { MsgUserUplevel_s } from './user/server/MsgUserUplevel_s';

export interface ServiceType {
    api: {
        "admin/addBuMa": {
            req: ReqaddBuMa,
            res: ResaddBuMa
        },
        "admin/addCode": {
            req: ReqaddCode,
            res: ResaddCode
        },
        "admin/addMail": {
            req: ReqaddMail,
            res: ResaddMail
        },
        "admin/cacheVer": {
            req: ReqcacheVer,
            res: RescacheVer
        },
        "admin/deleteCode": {
            req: ReqdeleteCode,
            res: ResdeleteCode
        },
        "admin/deleteMail": {
            req: ReqdeleteMail,
            res: ResdeleteMail
        },
        "admin/deleteQuFu": {
            req: ReqdeleteQuFu,
            res: ResdeleteQuFu
        },
        "admin/deleteSetting": {
            req: ReqdeleteSetting,
            res: ResdeleteSetting
        },
        "admin/gameError": {
            req: ReqgameError,
            res: ResgameError
        },
        "admin/getCode": {
            req: ReqgetCode,
            res: ResgetCode
        },
        "admin/getCodeMa": {
            req: ReqgetCodeMa,
            res: ResgetCodeMa
        },
        "admin/getMail": {
            req: ReqgetMail,
            res: ResgetMail
        },
        "admin/getNeed": {
            req: ReqgetNeed,
            res: ResgetNeed
        },
        "admin/getQuFu": {
            req: ReqgetQuFu,
            res: ResgetQuFu
        },
        "admin/getSetting": {
            req: ReqgetSetting,
            res: ResgetSetting
        },
        "admin/getVer": {
            req: ReqgetVer,
            res: ResgetVer
        },
        "admin/huodongAdd": {
            req: ReqhuodongAdd,
            res: ReshuodongAdd
        },
        "admin/huodongDelete": {
            req: ReqhuodongDelete,
            res: ReshuodongDelete
        },
        "admin/huodongEdit": {
            req: ReqhuodongEdit,
            res: ReshuodongEdit
        },
        "admin/huodongFind": {
            req: ReqhuodongFind,
            res: ReshuodongFind
        },
        "admin/roleData": {
            req: ReqroleData,
            res: ResroleData
        },
        "admin/roleDataEdit": {
            req: ReqroleDataEdit,
            res: ResroleDataEdit
        },
        "admin/sevData": {
            req: ReqsevData,
            res: RessevData
        },
        "admin/sevDataEdit": {
            req: ReqsevDataEdit,
            res: RessevDataEdit
        },
        "admin/updateMail": {
            req: RequpdateMail,
            res: ResupdateMail
        },
        "admin/updateQuFu": {
            req: RequpdateQuFu,
            res: ResupdateQuFu
        },
        "admin/updateSetting": {
            req: RequpdateSetting,
            res: ResupdateSetting
        },
        "admin/xiazai": {
            req: Reqxiazai,
            res: Resxiazai
        },
        "chat/ChatSend": {
            req: ReqChatSend,
            res: ResChatSend
        },
        "eps/EpsInfo": {
            req: ReqEpsInfo,
            res: ResEpsInfo
        },
        "fight/FightHc": {
            req: ReqFightHc,
            res: ResFightHc
        },
        "fight/FightTest": {
            req: ReqFightTest,
            res: ResFightTest
        },
        "hc/HcEmit": {
            req: ReqHcEmit,
            res: ResHcEmit
        },
        "hc/HcInfo": {
            req: ReqHcInfo,
            res: ResHcInfo
        },
        "hc/HcMerge": {
            req: ReqHcMerge,
            res: ResHcMerge
        },
        "hc/HcSell": {
            req: ReqHcSell,
            res: ResHcSell
        },
        "item/ItemInfo": {
            req: ReqItemInfo,
            res: ResItemInfo
        },
        "mail/MailDelAll": {
            req: ReqMailDelAll,
            res: ResMailDelAll
        },
        "mail/MailDelOne": {
            req: ReqMailDelOne,
            res: ResMailDelOne
        },
        "mail/MailInfo": {
            req: ReqMailInfo,
            res: ResMailInfo
        },
        "mail/MailRwdAll": {
            req: ReqMailRwdAll,
            res: ResMailRwdAll
        },
        "mail/MailRwdOne": {
            req: ReqMailRwdOne,
            res: ResMailRwdOne
        },
        "plat/PlatLogin": {
            req: ReqPlatLogin,
            res: ResPlatLogin
        },
        "player/PlayerLogin": {
            req: ReqPlayerLogin,
            res: ResPlayerLogin
        },
        "task/TaskInfo": {
            req: ReqTaskInfo,
            res: ResTaskInfo
        },
        "task/TaskRwd": {
            req: ReqTaskRwd,
            res: ResTaskRwd
        },
        "user/UserLogin": {
            req: ReqUserLogin,
            res: ResUserLogin
        },
        "user/UserNotices": {
            req: ReqUserNotices,
            res: ResUserNotices
        },
        "user/UserSetName": {
            req: ReqUserSetName,
            res: ResUserSetName
        },
        "user/UserUseCode": {
            req: ReqUserUseCode,
            res: ResUserUseCode
        }
    },
    msg: {
        "chat/server/ChatNew_s": MsgChatNew_s,
        "common/ItemsRwd": MsgItemsRwd,
        "common/Message": MsgMessage,
        "eps/server/EpsChange_s": MsgEpsChange_s,
        "hc/server/HcTili_s": MsgHcTili_s,
        "item/server/ItemChange_s": MsgItemChange_s,
        "mail/server/MailNew_s": MsgMailNew_s,
        "task/server/TaskCons_s": MsgTaskCons_s,
        "user/server/UserUplevel_s": MsgUserUplevel_s
    }
}

export const serviceProto: ServiceProto<ServiceType> = {
    "version": 69,
    "services": [
        {
            "id": 39,
            "name": "admin/addBuMa",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 38,
            "name": "admin/addCode",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 42,
            "name": "admin/addMail",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 35,
            "name": "admin/cacheVer",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 40,
            "name": "admin/deleteCode",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 43,
            "name": "admin/deleteMail",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 5,
            "name": "admin/deleteQuFu",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 23,
            "name": "admin/deleteSetting",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 98,
            "name": "admin/gameError",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 36,
            "name": "admin/getCode",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 37,
            "name": "admin/getCodeMa",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 45,
            "name": "admin/getMail",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 6,
            "name": "admin/getNeed",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 7,
            "name": "admin/getQuFu",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 25,
            "name": "admin/getSetting",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 26,
            "name": "admin/getVer",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 70,
            "name": "admin/huodongAdd",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 71,
            "name": "admin/huodongDelete",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 72,
            "name": "admin/huodongEdit",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 46,
            "name": "admin/huodongFind",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 94,
            "name": "admin/roleData",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 95,
            "name": "admin/roleDataEdit",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 96,
            "name": "admin/sevData",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 97,
            "name": "admin/sevDataEdit",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 44,
            "name": "admin/updateMail",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 8,
            "name": "admin/updateQuFu",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 31,
            "name": "admin/updateSetting",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 41,
            "name": "admin/xiazai",
            "type": "api",
            "conf": {
                "connet": "admin"
            }
        },
        {
            "id": 88,
            "name": "chat/ChatSend",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 89,
            "name": "chat/server/ChatNew_s",
            "type": "msg"
        },
        {
            "id": 93,
            "name": "common/ItemsRwd",
            "type": "msg"
        },
        {
            "id": 19,
            "name": "common/Message",
            "type": "msg"
        },
        {
            "id": 65,
            "name": "eps/EpsInfo",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 50,
            "name": "eps/server/EpsChange_s",
            "type": "msg"
        },
        {
            "id": 90,
            "name": "fight/FightHc",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 86,
            "name": "fight/FightTest",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 87,
            "name": "hc/HcEmit",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 66,
            "name": "hc/HcInfo",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 64,
            "name": "hc/HcMerge",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 92,
            "name": "hc/HcSell",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 91,
            "name": "hc/server/HcTili_s",
            "type": "msg"
        },
        {
            "id": 67,
            "name": "item/ItemInfo",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 55,
            "name": "item/server/ItemChange_s",
            "type": "msg"
        },
        {
            "id": 79,
            "name": "mail/MailDelAll",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 80,
            "name": "mail/MailDelOne",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 77,
            "name": "mail/MailInfo",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 81,
            "name": "mail/MailRwdAll",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 82,
            "name": "mail/MailRwdOne",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 78,
            "name": "mail/server/MailNew_s",
            "type": "msg"
        },
        {
            "id": 57,
            "name": "plat/PlatLogin",
            "type": "api",
            "conf": {
                "connet": "http"
            }
        },
        {
            "id": 58,
            "name": "player/PlayerLogin",
            "type": "api",
            "conf": {
                "connet": "http"
            }
        },
        {
            "id": 74,
            "name": "task/TaskInfo",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 75,
            "name": "task/TaskRwd",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 83,
            "name": "task/server/TaskCons_s",
            "type": "msg"
        },
        {
            "id": 61,
            "name": "user/UserLogin",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 85,
            "name": "user/UserNotices",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 69,
            "name": "user/UserSetName",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 84,
            "name": "user/UserUseCode",
            "type": "api",
            "conf": {
                "connet": "ws"
            }
        },
        {
            "id": 73,
            "name": "user/server/UserUplevel_s",
            "type": "msg"
        }
    ],
    "types": {
        "admin/PtladdBuMa/ReqaddBuMa": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "addCount",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "admin/PtladdBuMa/ResaddBuMa": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtladdCode/ReqaddCode": {
            "type": "Interface",
            "properties": [
                {
                    "id": 1,
                    "name": "param",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtladdCode/ResaddCode": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtladdMail/ReqaddMail": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "params",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtladdMail/ResaddMail": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlcacheVer/ReqcacheVer": {
            "type": "Interface"
        },
        "admin/PtlcacheVer/RescacheVer": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtldeleteCode/ReqdeleteCode": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "admin/PtldeleteCode/ResdeleteCode": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtldeleteMail/ReqdeleteMail": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "admin/PtldeleteMail/ResdeleteMail": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtldeleteQuFu/ReqdeleteQuFu": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "sid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "admin/PtldeleteQuFu/ResdeleteQuFu": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtldeleteSetting/ReqdeleteSetting": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "key",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "admin/PtldeleteSetting/ResdeleteSetting": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlgameError/ReqgameError": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "startTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "endTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "fuuid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "url",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "kind",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 6,
                    "name": "size",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 7,
                    "name": "page",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "admin/PtlgameError/ResgameError": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlgetCode/ReqgetCode": {
            "type": "Interface"
        },
        "admin/PtlgetCode/ResgetCode": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlgetCodeMa/ReqgetCodeMa": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "admin/PtlgetCodeMa/ResgetCodeMa": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlgetMail/ReqgetMail": {
            "type": "Interface"
        },
        "admin/PtlgetMail/ResgetMail": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlgetNeed/ReqgetNeed": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "stime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "timeInterval",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "admin/PtlgetNeed/ResgetNeed": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlgetQuFu/ReqgetQuFu": {
            "type": "Interface"
        },
        "admin/PtlgetQuFu/ResgetQuFu": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlgetSetting/ReqgetSetting": {
            "type": "Interface"
        },
        "admin/PtlgetSetting/ResgetSetting": {
            "type": "Interface",
            "properties": [
                {
                    "id": 2,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlgetVer/ReqgetVer": {
            "type": "Interface"
        },
        "admin/PtlgetVer/ResgetVer": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlhuodongAdd/ReqhuodongAdd": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "params",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlhuodongAdd/ReshuodongAdd": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlhuodongDelete/ReqhuodongDelete": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "admin/PtlhuodongDelete/ReshuodongDelete": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlhuodongEdit/ReqhuodongEdit": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "params",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlhuodongEdit/ReshuodongEdit": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlhuodongFind/ReqhuodongFind": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "key",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "hdcid",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                }
            ]
        },
        "admin/PtlhuodongFind/ReshuodongFind": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlroleData/ReqroleData": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uuid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "admin/PtlroleData/ResroleData": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlroleDataEdit/ReqroleDataEdit": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "key1",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "key2",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "info",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlroleDataEdit/ResroleDataEdit": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlsevData/ReqsevData": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "kid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "sid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "admin/PtlsevData/RessevData": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlsevDataEdit/ReqsevDataEdit": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "key1",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "key2",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "info",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "admin/PtlsevDataEdit/RessevDataEdit": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlupdateMail/RequpdateMail": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "params",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlupdateMail/ResupdateMail": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlupdateQuFu/RequpdateQuFu": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "sid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "param",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                }
            ]
        },
        "admin/PtlupdateQuFu/ResupdateQuFu": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlupdateSetting/RequpdateSetting": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "key",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "param",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/PtlupdateSetting/ResupdateSetting": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "admin/Ptlxiazai/Reqxiazai": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "admin/Ptlxiazai/Resxiazai": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "order10Back",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "chat/PtlChatSend/ReqChatSend": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Reference",
                        "target": "chat/PtlChatSend/ChatType"
                    }
                },
                {
                    "id": 1,
                    "name": "str",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "chat/PtlChatSend/ChatType": {
            "type": "Enum",
            "members": [
                {
                    "id": 0,
                    "value": "hefu"
                }
            ]
        },
        "chat/PtlChatSend/ResChatSend": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Reference",
                    "target": "chat/PtlChatSend/ChatInfo"
                }
            }
        },
        "chat/PtlChatSend/ChatInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "type",
                    "type": {
                        "type": "Reference",
                        "target": "chat/PtlChatSend/ChatType"
                    }
                },
                {
                    "id": 2,
                    "name": "fuuid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "fuser",
                    "type": {
                        "type": "Reference",
                        "target": "base/FUserInfo"
                    }
                },
                {
                    "id": 4,
                    "name": "msg",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "time",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "base/FUserInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uuid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "sid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "head",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "wxhead",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "sex",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "level",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 7,
                    "name": "exp",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 8,
                    "name": "power",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "chat/server/MsgChatNew_s/MsgChatNew_s": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Reference",
                    "target": "chat/PtlChatSend/ChatInfo"
                }
            }
        },
        "common/MsgItemsRwd/MsgItemsRwd": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "items",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Array",
                            "elementType": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "common/MsgMessage/MsgMessage": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "message",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "eps/PtlEpsInfo/ReqEpsInfo": {
            "type": "Interface"
        },
        "eps/PtlEpsInfo/ResEpsInfo": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Number"
                }
            }
        },
        "eps/server/MsgEpsChange_s/MsgEpsChange_s": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Number"
                }
            }
        },
        "fight/PtlFightHc/ReqFightHc": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "gzid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "fight/PtlFightHc/ResFightHc": {
            "type": "Interface",
            "extends": [
                {
                    "id": 0,
                    "type": {
                        "type": "Reference",
                        "target": "base/FightBase"
                    }
                }
            ],
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "hc/PtlHcInfo/HcInfoGeziInfo"
                            }
                        }
                    }
                }
            ]
        },
        "base/FightBase": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "fightStart",
                    "type": {
                        "type": "Reference",
                        "target": "base/FightStart"
                    }
                },
                {
                    "id": 1,
                    "name": "win",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "log",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Array",
                                "elementType": {
                                    "type": "Reference",
                                    "target": "base/fightLogOne"
                                }
                            }
                        }
                    }
                }
            ]
        },
        "base/FightStart": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "from",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "seed",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "teams",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "base/FightTeam"
                            }
                        }
                    }
                }
            ]
        },
        "base/FightTeam": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "fid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "seat",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "eps",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "base/fightLogOne": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "aType",
                    "type": {
                        "type": "Reference",
                        "target": "base/ActionType"
                    }
                },
                {
                    "id": 1,
                    "name": "seat",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "atker",
                    "type": {
                        "type": "Reference",
                        "target": "base/fightLogOneData"
                    }
                },
                {
                    "id": 3,
                    "name": "target",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "base/fightLogOneData"
                        }
                    }
                }
            ]
        },
        "base/ActionType": {
            "type": "Enum",
            "members": [
                {
                    "id": 0,
                    "value": "wu"
                },
                {
                    "id": 1,
                    "value": "0"
                },
                {
                    "id": 2,
                    "value": "1"
                },
                {
                    "id": 3,
                    "value": "2"
                },
                {
                    "id": 4,
                    "value": "3"
                },
                {
                    "id": 5,
                    "value": "999"
                }
            ]
        },
        "base/fightLogOneData": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "iid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "hp",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "buff",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Tuple",
                            "elementTypes": [
                                {
                                    "type": "String"
                                },
                                {
                                    "type": "Number"
                                }
                            ]
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "effect",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Tuple",
                            "elementTypes": [
                                {
                                    "type": "String"
                                },
                                {
                                    "type": "Number"
                                }
                            ]
                        }
                    }
                }
            ]
        },
        "hc/PtlHcInfo/HcInfoGeziInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Reference",
                        "target": "hc/PtlHcInfo/HcType"
                    }
                },
                {
                    "id": 1,
                    "name": "unlock",
                    "type": {
                        "type": "Reference",
                        "target": "hc/PtlHcInfo/HcUnlock"
                    }
                },
                {
                    "id": 2,
                    "name": "correlationId",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "emitter",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "unlock",
                                "type": {
                                    "type": "Reference",
                                    "target": "hc/PtlHcInfo/HcUnlock"
                                }
                            }
                        ]
                    },
                    "optional": true
                }
            ]
        },
        "hc/PtlHcInfo/HcType": {
            "type": "Enum",
            "members": [
                {
                    "id": 0,
                    "value": 0
                },
                {
                    "id": 2,
                    "value": 2
                },
                {
                    "id": 3,
                    "value": 3
                },
                {
                    "id": 4,
                    "value": 4
                },
                {
                    "id": 5,
                    "value": 50
                },
                {
                    "id": 6,
                    "value": 51
                }
            ]
        },
        "hc/PtlHcInfo/HcUnlock": {
            "type": "Enum",
            "members": [
                {
                    "id": 1,
                    "value": 1
                },
                {
                    "id": 0,
                    "value": 0
                }
            ]
        },
        "fight/PtlFightTest/ReqFightTest": {
            "type": "Interface"
        },
        "fight/PtlFightTest/ResFightTest": {
            "type": "Interface",
            "extends": [
                {
                    "id": 0,
                    "type": {
                        "type": "Reference",
                        "target": "base/FightBase"
                    }
                }
            ]
        },
        "hc/PtlHcEmit/ReqHcEmit": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "gzid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "hc/PtlHcEmit/ResHcEmit": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Reference",
                    "target": "hc/PtlHcInfo/HcInfoGeziInfo"
                }
            }
        },
        "hc/PtlHcInfo/ReqHcInfo": {
            "type": "Interface"
        },
        "hc/PtlHcInfo/ResHcInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "chapterId",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "tili",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "maxTili",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "lastTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "list",
                    "type": {
                        "type": "Reference",
                        "target": "hc/PtlHcInfo/HcInfoList"
                    }
                }
            ]
        },
        "hc/PtlHcInfo/HcInfoList": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Reference",
                    "target": "hc/PtlHcInfo/HcInfoGeziInfo"
                }
            }
        },
        "hc/PtlHcMerge/ReqHcMerge": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "gzid1",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "gzid2",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "hc/PtlHcMerge/ResHcMerge": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "hc/PtlHcInfo/HcInfoGeziInfo"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "items",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Array",
                            "elementType": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "hc/PtlHcSell/ReqHcSell": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "gzid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "hc/PtlHcSell/ResHcSell": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "hc/PtlHcInfo/HcInfoGeziInfo"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "items",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Array",
                            "elementType": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "hc/server/MsgHcTili_s/MsgHcTili_s": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "tili",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "maxTili",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "lastTime",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "item/PtlItemInfo/ReqItemInfo": {
            "type": "Interface"
        },
        "item/PtlItemInfo/ResItemInfo": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Array",
                    "elementType": {
                        "type": "Number"
                    }
                }
            }
        },
        "item/server/MsgItemChange_s/MsgItemChange_s": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Array",
                    "elementType": {
                        "type": "Number"
                    }
                }
            }
        },
        "mail/PtlMailDelAll/ReqMailDelAll": {
            "type": "Interface"
        },
        "mail/PtlMailDelAll/ResMailDelAll": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Interface",
                    "properties": [
                        {
                            "id": 0,
                            "name": "ets",
                            "type": {
                                "type": "Number"
                            }
                        }
                    ]
                }
            }
        },
        "mail/PtlMailDelOne/ReqMailDelOne": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "mail/PtlMailDelOne/ResMailDelOne": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Interface",
                    "properties": [
                        {
                            "id": 0,
                            "name": "ets",
                            "type": {
                                "type": "Number"
                            }
                        }
                    ]
                }
            }
        },
        "mail/PtlMailInfo/ReqMailInfo": {
            "type": "Interface"
        },
        "mail/PtlMailInfo/ResMailInfo": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Reference",
                    "target": "mail/PtlMailInfo/MailInfo"
                }
            }
        },
        "mail/PtlMailInfo/MailInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "title",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "content",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "items",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Array",
                            "elementType": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "fts",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "rts",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "ets",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 7,
                    "name": "dts",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "mail/PtlMailRwdAll/ReqMailRwdAll": {
            "type": "Interface"
        },
        "mail/PtlMailRwdAll/ResMailRwdAll": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Interface",
                    "properties": [
                        {
                            "id": 0,
                            "name": "rts",
                            "type": {
                                "type": "Number"
                            }
                        }
                    ]
                }
            }
        },
        "mail/PtlMailRwdOne/ReqMailRwdOne": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "mail/PtlMailRwdOne/ResMailRwdOne": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Interface",
                    "properties": [
                        {
                            "id": 0,
                            "name": "rts",
                            "type": {
                                "type": "Number"
                            }
                        }
                    ]
                }
            }
        },
        "mail/server/MsgMailNew_s/MsgMailNew_s": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Reference",
                    "target": "mail/PtlMailInfo/MailInfo"
                }
            }
        },
        "plat/PtlPlatLogin/ReqPlatLogin": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "pid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "param",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "plat/PtlPlatLogin/ResPlatLogin": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "openId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "token",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "noticeWais",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "plat/PtlPlatLogin/Notices"
                        }
                    }
                }
            ]
        },
        "plat/PtlPlatLogin/Notices": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "title",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "content",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "player/PtlPlayerLogin/ReqPlayerLogin": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "pid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "openId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "lang",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "plat",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "device",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "parms",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "player/PtlPlayerLogin/ResPlayerLogin": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "sid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "player/PtlPlayerLogin/ResLoginList"
                            }
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "token",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "qufuList",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "player/PtlPlayerLogin/qufuInfo"
                            }
                        }
                    }
                },
                {
                    "id": 6,
                    "name": "switch",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                },
                {
                    "id": 7,
                    "name": "orderList",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "player/PtlPlayerLogin/OrderList"
                            }
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "wsUrl",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "player/PtlPlayerLogin/ResLoginList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uuid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "level",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "lastlogin",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "player/PtlPlayerLogin/qufuInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "sid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "sName",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "openAt",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "status",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "heid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 6,
                    "name": "suofu",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 7,
                    "name": "skin",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "player/PtlPlayerLogin/OrderList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "rmb",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "money",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "desc",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "iid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "daibi",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "task/PtlTaskInfo/ReqTaskInfo": {
            "type": "Interface"
        },
        "task/PtlTaskInfo/ResTaskInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "cons",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "task/PtlTaskRwd/ReqTaskRwd": {
            "type": "Interface"
        },
        "task/PtlTaskRwd/ResTaskRwd": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "cons",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "task/server/MsgTaskCons_s/MsgTaskCons_s": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "cons",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "user/PtlUserLogin/ReqUserLogin": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "sid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "token",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "user/PtlUserLogin/ResUserLogin": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uuid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "sid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "head",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "wxhead",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "sex",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "level",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 14,
                    "name": "exp",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 7,
                    "name": "regtime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 8,
                    "name": "loginTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 9,
                    "name": "lastlogin",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 10,
                    "name": "lang",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 11,
                    "name": "iscz",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 12,
                    "name": "rmbcz",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 13,
                    "name": "power",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "user/PtlUserNotices/ReqUserNotices": {
            "type": "Interface"
        },
        "user/PtlUserNotices/ResUserNotices": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "notices",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "plat/PtlPlatLogin/Notices"
                        }
                    }
                }
            ]
        },
        "user/PtlUserSetName/ReqUserSetName": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "user/PtlUserSetName/ResUserSetName": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "user/PtlUserUseCode/ReqUserUseCode": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "key",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "user/PtlUserUseCode/ResUserUseCode": {
            "type": "Interface"
        },
        "user/server/MsgUserUplevel_s/MsgUserUplevel_s": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "level",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "exp",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        }
    }
};